
Robotics Service Bus - Tasks #803
Tasks # 802 (Closed): Sphinx-based documentation
Design documentation structure for RSBag, rsb-gstreamer and related overarching topics
01/16/2012 03:53 PM - J. Moringen

Status: Closed Start date: 01/16/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version:
Description

See #779 for some structuring ideas and criteria.

Related issues:
Related to Robotics Service Bus - Enhancement # 779: Evaluate if Sphinx is a ... Resolved 12/21/2011

Associated revisions
Revision 91023fd1 - 01/17/2012 02:11 PM - J. Moringen
Added sphinx documentation in manual/*
refs #803
    -  manual/conf.py: new file; sphinx configuration
    -  manual/Makefile: new file; autogenerated Makefile
    -  manual/bag-*.rst: new file; man-page-like tool documentation
    -  manual/*.rst: new file; generic documentation components

Revision 69d69cda - 01/19/2012 02:10 AM - J. Moringen
Added manual/CMakeLists.txt for configuration and installation
refs #802, #803
    -  manual/CMakeLists.txt: new file; contains code to configure

  manual/conf.py and manual/Makefile.sphinx
    -  manual/Makefile.sphinx.in: renamed manual/Makefile.sphinx ->

  manual/Makefile.sphinx.in; added replacements for location of
  sphinx-build program and its commandline options

    -  manual/conf.py.in: renamed manual/conf.py -> manual/conf.py.in;
  minor cleanup

Revision d2a45a3b - 01/19/2012 02:13 AM - J. Moringen
Moved introduction in manual/index.rst
refs #802, #803
    -  manual/index.rst: added introduction paragraphs from

  manual/introduction.rst
    -  manual/introduction.rst: removed; moved content into

  manual/index.rst

Revision 3c25d1e7 - 01/19/2012 02:16 AM - J. Moringen
Fixed links and redundancies in manual/bag-*.rst
refs #802, #803
    -  manual/bag-cat.rst: added proper link target for the program;

  removed redundant description of common commandline options; use
  code-block directive where appropriate
    -  manual/bag-info.rst: likewise
    -  manual/bag-merge.rst: likewise
    -  manual/bag-play.rst: likewise
    -  manual/bag-record.rst: likewise

History
#1 - 01/17/2012 02:13 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 10

Initial experiments can be found in trunk/manual.

#2 - 04/10/2012 08:59 PM - J. Moringen
- % Done changed from 10 to 60

#3 - 12/06/2012 10:01 PM - J. Moringen
- Status changed from In Progress to Feedback

I think our landing page, intersphinx links, included example code, multi-project tutorials accomplished this. Can we close this?

#4 - 12/08/2012 10:58 AM - S. Wrede

Yep. Please do so!

#5 - 12/08/2012 02:48 PM - J. Moringen
- Status changed from Feedback to Closed
- % Done changed from 60 to 100

05/07/2024 2/2


